$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.5.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.5.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'BDDE4A0CD0FB6C87E15AD46C3913A6FBC0567C36A18EE5D3FFB66951F5DF90CD'
  checksumType = 'sha256'
  checksum64 = 'BDDE4A0CD0FB6C87E15AD46C3913A6FBC0567C36A18EE5D3FFB66951F5DF90CD'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.5-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
